set CMSDK_WRPR_BASE           0x40003000
set CMSDK_WRPR_APB0_CTRL [expr $CMSDK_WRPR_BASE + 0x0]
set CMSDK_WRPR_APB1_CTRL [expr $CMSDK_WRPR_BASE + 0x4]
set CMSDK_WRPR_APB2_CTRL [expr $CMSDK_WRPR_BASE + 0x8]
set CMSDK_WRPR_APB3_CTRL [expr $CMSDK_WRPR_BASE + 0xc]
set CMSDK_WRPR_APB4_CTRL [expr $CMSDK_WRPR_BASE + 0x10]
set CMSDK_WRPR_APB5_CTRL [expr $CMSDK_WRPR_BASE + 0x14]
set CMSDK_WRPR_APB6_CTRL [expr $CMSDK_WRPR_BASE + 0x18]
set CMSDK_WRPR_APB7_CTRL [expr $CMSDK_WRPR_BASE + 0x1c]
set CMSDK_WRPR_APB8_CTRL [expr $CMSDK_WRPR_BASE + 0x20]
set CMSDK_WRPR_APB9_CTRL [expr $CMSDK_WRPR_BASE + 0x24]
set CMSDK_WRPR_APB10_CTRL [expr $CMSDK_WRPR_BASE + 0x28]
set CMSDK_WRPR_APB11_CTRL [expr $CMSDK_WRPR_BASE + 0x2c]
set CMSDK_WRPR_APB12_CTRL [expr $CMSDK_WRPR_BASE + 0x30]
set CMSDK_WRPR_APB13_CTRL [expr $CMSDK_WRPR_BASE + 0x34]
set CMSDK_WRPR_APB14_CTRL [expr $CMSDK_WRPR_BASE + 0x38]
set CMSDK_WRPR_APB15_CTRL [expr $CMSDK_WRPR_BASE + 0x3c]
set CMSDK_WRPR_CLK_HPC_PIN_OUT_CTRL [expr $CMSDK_WRPR_BASE + 0x40]
set CMSDK_WRPR_CLK_HMC_PIN_OUT_CTRL [expr $CMSDK_WRPR_BASE + 0x44]
set CMSDK_WRPR_CLK_LMC_PIN_OUT_CTRL [expr $CMSDK_WRPR_BASE + 0x48]
set CMSDK_WRPR_DBG_CTRL [expr $CMSDK_WRPR_BASE + 0x4c]
set CMSDK_WRPR_PIN_SELECTION_A [expr $CMSDK_WRPR_BASE + 0x50]
set CMSDK_WRPR_PIN_SELECTION_B [expr $CMSDK_WRPR_BASE + 0x54]
set CMSDK_WRPR_PIN_SELECTION_C [expr $CMSDK_WRPR_BASE + 0x58]
set CMSDK_WRPR_PIN_SELECTION_D [expr $CMSDK_WRPR_BASE + 0x5c]
set CMSDK_WRPR_PIN_SELECTION_E [expr $CMSDK_WRPR_BASE + 0x60]
set CMSDK_WRPR_PIN_SELECTION_F [expr $CMSDK_WRPR_BASE + 0x64]
set CMSDK_WRPR_PIN_PU_A [expr $CMSDK_WRPR_BASE + 0x68]
set CMSDK_WRPR_PIN_PU_B [expr $CMSDK_WRPR_BASE + 0x6c]
set CMSDK_WRPR_PIN_PU_C [expr $CMSDK_WRPR_BASE + 0x70]
set CMSDK_WRPR_PIN_PU_D [expr $CMSDK_WRPR_BASE + 0x74]
set CMSDK_WRPR_PIN_PU_E [expr $CMSDK_WRPR_BASE + 0x78]
set CMSDK_WRPR_INTRPT_CFG_0 [expr $CMSDK_WRPR_BASE + 0x7c]
set CMSDK_WRPR_INTRPT_CFG_1 [expr $CMSDK_WRPR_BASE + 0x80]
set CMSDK_WRPR_INTRPT_CFG_2 [expr $CMSDK_WRPR_BASE + 0x84]
set CMSDK_WRPR_INTRPT_CFG_3 [expr $CMSDK_WRPR_BASE + 0x88]
set CMSDK_WRPR_INTRPT_CFG_4 [expr $CMSDK_WRPR_BASE + 0x8c]
set CMSDK_WRPR_INTRPT_CFG_5 [expr $CMSDK_WRPR_BASE + 0x90]
set CMSDK_WRPR_INTRPT_CFG_6 [expr $CMSDK_WRPR_BASE + 0x94]
set CMSDK_WRPR_INTRPT_CFG_7 [expr $CMSDK_WRPR_BASE + 0x98]
set CMSDK_WRPR_INTRPT_CFG_8 [expr $CMSDK_WRPR_BASE + 0x9c]
set CMSDK_WRPR_INTRPT_CFG_9 [expr $CMSDK_WRPR_BASE + 0xa0]
set CMSDK_WRPR_INTRPT_CFG_10 [expr $CMSDK_WRPR_BASE + 0xa4]
set CMSDK_WRPR_INTRPT_CFG_11 [expr $CMSDK_WRPR_BASE + 0xa8]
set CMSDK_WRPR_INTRPT_CFG_12 [expr $CMSDK_WRPR_BASE + 0xac]
set CMSDK_WRPR_INTRPT_CFG_13 [expr $CMSDK_WRPR_BASE + 0xb0]
set CMSDK_WRPR_INTRPT_CFG_14 [expr $CMSDK_WRPR_BASE + 0xb4]
set CMSDK_WRPR_INTRPT_CFG_15 [expr $CMSDK_WRPR_BASE + 0xb8]
set CMSDK_WRPR_REMAP [expr $CMSDK_WRPR_BASE + 0xbc]
set CMSDK_WRPR_AHB_INTERPOSERS [expr $CMSDK_WRPR_BASE + 0xc0]
set CMSDK_WRPR_SCRATCHPAD_A [expr $CMSDK_WRPR_BASE + 0xc4]
set CMSDK_WRPR_SCRATCHPAD_B [expr $CMSDK_WRPR_BASE + 0xc8]
set CMSDK_WRPR_SCRATCHPAD_C [expr $CMSDK_WRPR_BASE + 0xcc]
set CMSDK_WRPR_SCRATCHPAD_D [expr $CMSDK_WRPR_BASE + 0xd0]
set CMSDK_WRPR_CHIPID1 [expr $CMSDK_WRPR_BASE + 0xff0]
set CMSDK_WRPR_CHIPID2 [expr $CMSDK_WRPR_BASE + 0xff4]
set CMSDK_WRPR_CHIPREV [expr $CMSDK_WRPR_BASE + 0xff8]
set CMSDK_WRPR_CORE_ID [expr $CMSDK_WRPR_BASE + 0xffc]
